cgIsTechnique(3)

NAME
cgIsTechnique - determine if a technique handle references a valid technique

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsTechnique( CGtechnique tech );

PARAMETERS

tech
    The technique handle to check.

RETURN VALUES
Returns CG_TRUE if tech references a valid technique.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsTechnique returns CG_TRUE if tech references a valid technique, CG_FALSE otherwise.

EXAMPLES
  if (cgIsTechnique(tech)) {
    /* do something with tech */
  } else {
    /* handle situation where tech is not a valid technique */
  }

ERRORS
None.

HISTORY
cgIsTechnique was introduced in Cg 1.4.

SEE ALSO
the cgCreateTechnique manpage, the cgDestroyTechnique manpage